### Function

# RB file_chooser_new

#### Declaration [src]

    GtkWidget*
    rb_file_chooser_new (
      const char* title,
      GtkWindow* parent,
      GtkFileChooserAction action,
      gboolean local_only
    )

#### Description [src]

Creates and shows a regular gtk+ file chooser dialog with a given title. The user’s music directory (typically ~/Music) is added as a shortcut.

For consistency, this should be used anywhere a file chooser is required.

After creating the dialog, the caller should connect a handler to its ‘response’ signal to process the user’s selected files or folders.

#### Parameters

`title`

  Type: `const char*`

  Title for the file chooser.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`parent`

  Type: `GtkWindow`

  Parent `GtkWindow` for the file chooser.

  The data is owned by the caller of the function.

`action`

  Type: `GtkFileChooserAction`

  The `GtkFileChooserAction`.

`local_only`

  Type: `gboolean`

  If TRUE, don’t show network locations.

#### Return value

Type: `GtkWidget`

The file chooser `GtkWidget`.

The caller of the function takes ownership of the data, and is responsible for freeing it.